# TdApi.AnswerWebAppQuery (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: AnswerWebAppQuery

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AnswerWebAppQuery

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.SentWebAppMessage>
it.tdlight.jni.TdApi.AnswerWebAppQuery

Enclosing class:
  TdApi

public static final class TdApi.AnswerWebAppQuery extends TdApi.Function<TdApi.SentWebAppMessage>
Sets the result of interaction with a Web App and sends corresponding message on behalf of the user to the chat from which the query originated; for bots only.

Returns `SentWebAppMessage`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.InputInlineQueryResult`
`result`
The result of the query.
`String`
`webAppQueryId`
Identifier of the Web App query.

## Constructor Summary

Constructors
Constructor
Description
`AnswerWebAppQuery()`
Sets the result of interaction with a Web App and sends corresponding message on behalf of the user to the chat from which the query originated; for bots only.
`AnswerWebAppQuery(DataInput input)`
Sets the result of interaction with a Web App and sends corresponding message on behalf of the user to the chat from which the query originated; for bots only.
`AnswerWebAppQuery(String webAppQueryId, TdApi.InputInlineQueryResult result)`
Sets the result of interaction with a Web App and sends corresponding message on behalf of the user to the chat from which the query originated; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### webAppQueryId

public String webAppQueryId
Identifier of the Web App query.

### result

public TdApi.InputInlineQueryResult result
The result of the query.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### AnswerWebAppQuery

public AnswerWebAppQuery()
Sets the result of interaction with a Web App and sends corresponding message on behalf of the user to the chat from which the query originated; for bots only.

Returns `SentWebAppMessage`

### AnswerWebAppQuery

public AnswerWebAppQuery(String webAppQueryId, TdApi.InputInlineQueryResult result)
Sets the result of interaction with a Web App and sends corresponding message on behalf of the user to the chat from which the query originated; for bots only.

Returns `SentWebAppMessage`

Parameters:
  `webAppQueryId` - Identifier of the Web App query.
  `result` - The result of the query.

  Returns `SentWebAppMessage`

### AnswerWebAppQuery

public AnswerWebAppQuery(DataInput input) throws IOException
Sets the result of interaction with a Web App and sends corresponding message on behalf of the user to the chat from which the query originated; for bots only.

Returns `SentWebAppMessage`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`